# Building for PWA

## Step 1: Configure an application

1. From the Monaca Cloud IDE menu, go to **Configure → App Settings for PWA**.

&#x20;  2\. Fill in your application information:

* | Field          | Description                                                                                                                                                                                                 |
  | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | Name           | The application name                                                                                                                                                                                        |
  | Short Name     | The name used in places where there is not enough space to display the full name (such as home screen).                                                                                                     |
  | Description    | General description of the application.                                                                                                                                                                     |
  | Language       | The language to used for `name` members and `short_name` members.                                                                                                                                           |
  | Text Direction | The writing direction of the text.                                                                                                                                                                          |
  | Scope          | Defines the navigation range of the website. With this setting you can restrict which web pages can be displayed. If the user tries to access outside the range, it will transition to the normal web page. |
  | Start URL      | The URL to be loaded when launching the application                                                                                                                                                         |

![](/files/-Mfom-Oqd3mm008P8j_q)

* Application Display Preference

  | Field            | Description                                                                                    |
  | ---------------- | ---------------------------------------------------------------------------------------------- |
  | Display          | The display mode of the application. The default is `standalone` to display like a native app. |
  | Orientation      | The display orientation of the screen.                                                         |
  | Background Color | The background color of the splash screen.                                                     |
  | Theme Color      | The color of the status bar.                                                                   |
* App Icon

  You can set the application icon. Each size icons are automatically generated from one image. The icons are displayed on the home screen or as a splash image.

3\. After finishing the configurations, click **Save**.

## Step 2: Build an application

1. From the Monaca Cloud IDE menu, go to `Build` → `Build App for PWA`.
2. Select the type of build you want and click **Start Build**.

![](/files/-MfonJCBKaPrQNQeddmX)

3\. It may take several minutes for the build to complete. Once the build is completed, your app is ready to be downloaded or distributed. See the screenshot below as an example:

![](https://docs.monaca.io/images/monaca_ide/manual/build/pwa/build_result.png)

See Also:

* [Deploy to Firebase](/products_guide/monaca_ide/monaca_ci/firebase.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/build/build_pwa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
